Skip to main content
`Ctrl`+`K`

# STSetType

Selects the type of spectral transformation.

## Synopsis

    #include "slepcst.h"
    PetscErrorCode STSetType(ST st,STType type)

Logically Collective

## Input Parameters

- st - the spectral transformation context.

- type - a known type

## Options Database Key

- -st_type type - sets the `ST` type

## Notes

Normally, it is best to call the `EPSSetFromOptions()` function and then set the `ST` type from the options database rather than by using this routine. Using the options database provides the user with maximum flexibility in evaluating the different transformations.

## See Also

ST: Spectral Transformation, `STGetType()`, `EPSSetType()`, `EPSSetFromOptions()`

## Level

beginner

## Location

src/sys/classes/st/interface/stset.c

## Examples

src/eps/tutorials/ex49.c
src/eps/tutorials/ex43.c
src/pep/tutorials/ex38.c
src/eps/tutorials/ex24.c
src/eps/tutorials/ex12.c
src/eps/tutorials/ex46.c
src/eps/tutorials/ex25.c
src/eps/tutorials/ex35.c
src/eps/tutorials/ex36.c
src/pep/tutorials/ex50.c

Index of all ST routines Table of Contents for all manual pages Index of all manual pages